<?php
//v1.0.4 www.bcoos.net 2006/10 GPL
// www.bcoos.net 2006-09 1.0.2 GPL
//v1.3 www.exoops.info 2006/03 
// $Id: catformat.php,v 1.2 2004/03/20 18:35:12 greyhead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: James Knickelbein
// Author Website : http://www.journeymilwaukee.com
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
// Passed on      : My Downloads
// New module name: My Sections
// Version        : 1.1
// Modified by    : Faisal
// Website        : < http://www.a-xoops.com >
// Email          : info@a-xoops.com
// ------------------------------------------------------------------------- //
global $_SERVER,$bcoosConfig;
if ( preg_match("/catformat\.php/i", $_SERVER['PHP_SELF']) ) {
        exit();
        }
$str_path = $mytree->getNicePathFromId($cid, "title", "viewcat.php?");
$str_path = substr($str_path, 0, -2);
$str_path = str_replace(":", "<img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."arrow.gif' border='0' alt=''>", $str_path);
echo "
<tr><td class='bg3'>
<a href='".XOOPS_URL."/modules/mysections/singlefile.php?lid=$lid' title='$titletip'><b>".$dtitle."</b></a>&nbsp;";
newdownloadgraphic($time, $status);
popgraphic($hits);
if ($url) {
echo " <a href='".XOOPS_URL."/modules/mysections/visit.php?lid=$lid'><img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."counter.gif' border='0' alt='"._DOWNLOADNOW."'></a>&nbsp;";
}
    if ($mysectionsConfig['useshots']) {
        if ($logourl) {
        $logourl = formatURL(XOOPS_URL.'/modules/mysections/cache/shots/', $logourl);
        echo " <a href='$logourl'><img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."editor_image.gif' border='0' alt='"._SHOTIMAGE." ".$dtitle."' /></a>&nbsp;";
        }
    }
echo "
</td><td width='1%' class='bg3' align='center' valign='bottom' nowrap>".$counter."</td>
</td><td width='1%' class='bg3' align='center' valign='bottom' nowrap>";
if ( $rating != "0" || $rating != "0.0" ) {
        if ($votes == 1) {
                $votestring = _ONEVOTE;
                } else {
                        $votestring = sprintf(_VOTES, $votes);
                }
        echo "<a href='".XOOPS_URL."/modules/mysections/ratefile.php?lid=$lid' title='$votestring'>$rating";
}
else { echo "<a href='".XOOPS_URL."/modules/mysections/ratefile.php?lid=$lid'>"._RATEIT."</a>"; }
echo "</td>
<td width='1%' class='bg3' align='center' valign='bottom' nowrap>
<img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."time.gif' border='0' alt='"._SUBMITTEDDATE." ".$datetime."'>
&nbsp;<a href='".XOOPS_URL."/modules/mysections/print.php?lid=$lid'><img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."print.gif' border='0' alt='"._MD_PRINT."'></a>
&nbsp;<a target='_top' href='mailto:?subject=".rawurlencode(sprintf(_INTERESTINGTHINGAT, $bcoosConfig['title']))."&body=".rawurlencode(sprintf(_INTERESTINGTHINGAT, $bcoosConfig['title']).":\r\n".XOOPS_URL."/modules/mysections/singlefile.php?lid=$lid")."'><img src='".XOOPS_URL."/images/icons/".$bcoosConfig['iconset']."email.gif' border='0' alt='"._TELLAFRIEND."'></a>
</td></tr>";
?>